Package com.tietoenator.trip.jxp

# Enum Class TdbGraphRecordType

java.lang.Object
java.lang.Enum<TdbGraphRecordType>
com.tietoenator.trip.jxp.TdbGraphRecordType

All Implemented Interfaces:
  `Serializable`, `Comparable<TdbGraphRecordType>`, `Constable`

public enum TdbGraphRecordType extends Enum<TdbGraphRecordType>
Indicates the type of a graph record.

See Also:
  - `TdbGraphRecord`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `Edge`
  Indicates that the graph record represents an edge.
  `Invalid`
  Invalid or unspecified graph record type.
  `Vertex`
  Indicates that the graph record represents a vertex.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `char`
  `getValue()`
  Return the graph record type identifier.
  `static TdbGraphRecordType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static TdbGraphRecordType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### Invalid

    public static final TdbGraphRecordType Invalid
    Invalid or unspecified graph record type.

  - ### Edge

    public static final TdbGraphRecordType Edge
    Indicates that the graph record represents an edge.

  - ### Vertex

    public static final TdbGraphRecordType Vertex
    Indicates that the graph record represents a vertex.

- ## Method Details

  - ### values

    public static TdbGraphRecordType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static TdbGraphRecordType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getValue

    public char getValue()
    Return the graph record type identifier.